Subject: Re: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Oct 2018 20:29:12 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: [email-masked],  [email-masked], [email-masked]
> Date: Thu, 25 Oct 2018 20:10:06 +0300
> 
> > I'm probably missing something: why are you still trying to find a
> > solution, when one was already found?  What's wrong with setting
> > process-connection-type non-nil in this case, at least for Darwin?
> 
> Yes, setting p-c-t to t worked from the start, but it's just a
> workaround - there's still problem with p-c-t nil.
> 
> I'm currently running with this patch, which is based on Alan's fix in
> callproc.c (call_process() had the same problem on Darwin).

I don't understand why: using nil process-connection-type for programs
that prompt the user is a bug anyway.